package com.ztmap.project.zhny.netgfswl.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ztmap.framework.aspectj.lang.annotation.Excel;
import com.ztmap.framework.web.domain.BaseEntity;

/**
 * 光伏上网量对象 t_net_gfswl
 * 
 * @author ztmap
 * @date 2023-11-16
 */
public class TNetGfswl extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 光伏上网量 */
    @Excel(name = "光伏上网量")
    private Double fdswl;

    /** 环比增长 */
    @Excel(name = "环比增长")
    private Double hbzz;

    /** 数据时间 */
    @Excel(name = "数据时间")
    private String dataTime;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setFdswl(Double fdswl)
    {
        this.fdswl = fdswl;
    }

    public Double getFdswl()
    {
        return fdswl;
    }
    public void setHbzz(Double hbzz)
    {
        this.hbzz = hbzz;
    }

    public Double getHbzz()
    {
        return hbzz;
    }
    public void setDataTime(String dataTime)
    {
        this.dataTime = dataTime;
    }

    public String getDataTime()
    {
        return dataTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("fdswl", getFdswl())
            .append("hbzz", getHbzz())
            .append("dataTime", getDataTime())
            .toString();
    }
}
